Metadata-Version: 2.4
Name: cf-opcua-server
Version: 0.1.0
Summary: Cogniflow virtual OPC-UA server utilities.
Author: Cogniflow
Requires-Python: >=3.10
Description-Content-Type: text/markdown
Requires-Dist: asyncua>=1.0
Provides-Extra: test
Requires-Dist: pytest>=8.0; extra == "test"

# cf-opcua-server

Virtual OPC-UA server utilities for Cogniflow demos.

Published distribution name:

```bash
pip install cf-opcua-server
```

## Usage

```bash
cf-opcua-server start --interval 1.0
```

## Publishing

`cf_opcua_server` is published with the dedicated Windows workflow:

- Workflow: `.github/workflows/cf_opcua_server_windows_publish.yml`
- Package directory: `sandcastle/cf_opcua_server`
- PyPI tag: `cf-opcua-server-v<version>`
- TestPyPI tag: `cf-opcua-server-v<version>-test`

Local preflight:

```powershell
powershell -ExecutionPolicy Bypass -File scripts/mimic_windows_python_publish_workflow.ps1 `
  -WorkflowFile .github/workflows/cf_opcua_server_windows_publish.yml `
  -PackageDir sandcastle/cf_opcua_server `
  -PythonExe py `
  -PythonVersion 3.13
```

Queue a dry-run dispatch:

```powershell
powershell -ExecutionPolicy Bypass -File scripts/queue_windows_python_publish_workflow.ps1 `
  -WorkflowFile .github/workflows/cf_opcua_server_windows_publish.yml `
  -PackageDir sandcastle/cf_opcua_server `
  -PublishTarget testpypi `
  -Ref main `
  -RequireLocalPass `
  -DryRun
```
